﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.Editors;
using System.Collections.ObjectModel;

namespace XamComboEditorSelectedItemChanged
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public ObservableCollection<Test> data { get; set; }

        public MainWindow()
        {
            InitializeComponent();
            data = new ObservableCollection<Test>();
            data.Add(new Test() { Data = "Test1" });
            data.Add(new Test() { Data = "Test2" });
            data.Add(new Test() { Data = "Test3" });
            xamDataGrid1.DataSource = data;
        }

        void EditorLoaded(object sender, RoutedEventArgs e)
        {
            (sender as XamComboEditor).SelectedItemChanged += new RoutedPropertyChangedEventHandler<object>(MainWindow_SelectedItemChanged);
        }

        void MainWindow_SelectedItemChanged(object sender, RoutedPropertyChangedEventArgs<object> e)
        {
            
        }
    }
    public class Test
    {
        public String Data { get; set; }
    }
}
